AOZ Studio Beta - Bug #962

If Errn$ is called, and errn is 0, it causes "Message not found undefined" to appear instead.

12/03/2022 07:19 PM - Brian Flanagan

Status:
Priority:
Assignee:
Category:
Target version:

Affected version:

Resolved
Low

AOZ Developers

none

1.0.0 (B16) u27

Start date: 12/03/2022
Due date:

% Done: 0%
Estimated time: 0:00 hour

Description
Example:

Print ERRN, ERRS
End

Result is:

0 Message not found undefined

The ERRN prints properly, but ERR$ returns a bogus message.

| think it would be appropriate to return an empty string when ERRN is 0.

Tested in newset version from git as of 11/27/2022 (macOS).

History

#1 - 01/19/2023 05:05 AM - Francois Lionet

- Status changed from New to Resolved

Fixed! It now displays an empty string.
